type: google.api.Service
config_version: 3
name: retail.googleapis.com
title: Retail API

apis:
- name: google.cloud.retail.v2alpha.CatalogService
- name: google.cloud.retail.v2alpha.CompletionService
- name: google.cloud.retail.v2alpha.PredictionService
- name: google.cloud.retail.v2alpha.ProductService
- name: google.cloud.retail.v2alpha.SearchService
- name: google.cloud.retail.v2alpha.UserEventService

types:
- name: google.cloud.retail.logging.ErrorLog
- name: google.cloud.retail.v2alpha.AddFulfillmentPlacesMetadata
- name: google.cloud.retail.v2alpha.AddFulfillmentPlacesResponse
- name: google.cloud.retail.v2alpha.ExportErrorsConfig
- name: google.cloud.retail.v2alpha.ExportMetadata
- name: google.cloud.retail.v2alpha.ExportProductsResponse
- name: google.cloud.retail.v2alpha.ExportUserEventsResponse
- name: google.cloud.retail.v2alpha.ImportCompletionDataResponse
- name: google.cloud.retail.v2alpha.ImportErrorsConfig
- name: google.cloud.retail.v2alpha.ImportMetadata
- name: google.cloud.retail.v2alpha.ImportProductsResponse
- name: google.cloud.retail.v2alpha.ImportUserEventsResponse
- name: google.cloud.retail.v2alpha.PurgeMetadata
- name: google.cloud.retail.v2alpha.PurgeUserEventsResponse
- name: google.cloud.retail.v2alpha.RejoinUserEventsMetadata
- name: google.cloud.retail.v2alpha.RejoinUserEventsResponse
- name: google.cloud.retail.v2alpha.RemoveFulfillmentPlacesMetadata
- name: google.cloud.retail.v2alpha.RemoveFulfillmentPlacesResponse
- name: google.cloud.retail.v2alpha.SetInventoryMetadata
- name: google.cloud.retail.v2alpha.SetInventoryResponse

documentation:
  summary: |-
    Cloud Retail service enables customers to build end-to-end personalized
    recommendation systems without requiring a high level of expertise in
    machine learning, recommendation system, or Google Cloud.
  rules:
  - selector: google.cloud.location.Locations.GetLocation
    description: Gets information about a location.

  - selector: google.cloud.location.Locations.ListLocations
    description: Lists information about the supported locations for this service.

backend:
  rules:
  - selector: 'google.cloud.retail.v2alpha.ProductService.*'
    deadline: 30.0
  - selector: google.cloud.retail.v2alpha.ProductService.ImportProducts
    deadline: 300.0
  - selector: google.cloud.retail.v2alpha.UserEventService.ImportUserEvents
    deadline: 300.0
  - selector: google.cloud.retail.v2alpha.UserEventService.PurgeUserEvents
    deadline: 30.0
  - selector: google.longrunning.Operations.ListOperations
    deadline: 300.0

http:
  rules:
  - selector: google.longrunning.Operations.GetOperation
    get: '/v2alpha/{name=projects/*/locations/*/operations/*}'
    additional_bindings:
    - get: '/v2alpha/{name=projects/*/locations/*/catalogs/*/operations/*}'
    - get: '/v2alpha/{name=projects/*/locations/*/catalogs/*/branches/*/operations/*}'
  - selector: google.longrunning.Operations.ListOperations
    get: '/v2alpha/{name=projects/*/locations/*}/operations'
    additional_bindings:
    - get: '/v2alpha/{name=projects/*/locations/*/catalogs/*}/operations'

authentication:
  rules:
  - selector: google.cloud.location.Locations.GetLocation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.location.Locations.ListLocations
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.retail.v2alpha.CatalogService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2alpha.CompletionService.CompleteQuery
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2alpha.CompletionService.ImportCompletionData
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2alpha.PredictionService.Predict
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.retail.v2alpha.ProductService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.retail.v2alpha.SearchService.Search
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.retail.v2alpha.UserEventService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.longrunning.Operations.GetOperation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.longrunning.Operations.ListOperations
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
